# Interface methods for submodule: ShapeLabelObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import LabelObjectProxy as _LabelObjectProxy


# Interface methods for class: ShapeLabelObject
class ShapeLabelObjectProxy(_LabelObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def GetAttributeFromName(s: str) -> int:
		""""""
		...

	@staticmethod
	def GetNameFromAttribute(a: int) -> str:
		""""""
		...

	def GetBoundingBox(self) -> ImageRegion:
		""""""
		...

	def SetBoundingBox(self, v: ImageRegion) -> None:
		""""""
		...

	def GetPhysicalSize(self) -> float:
		""""""
		...

	def SetPhysicalSize(self, v: float) -> None:
		""""""
		...

	def GetNumberOfPixels(self) -> int:
		""""""
		...

	def SetNumberOfPixels(self, v: int) -> None:
		""""""
		...

	def GetCentroid(self) -> Sequence[float]:
		""""""
		...

	def SetCentroid(self, centroid: Sequence[float]) -> None:
		""""""
		...

	def GetNumberOfPixelsOnBorder(self) -> int:
		""""""
		...

	def SetNumberOfPixelsOnBorder(self, v: int) -> None:
		""""""
		...

	def GetPerimeterOnBorder(self) -> float:
		""""""
		...

	def SetPerimeterOnBorder(self, v: float) -> None:
		""""""
		...

	def GetFeretDiameter(self) -> float:
		""""""
		...

	def SetFeretDiameter(self, v: float) -> None:
		""""""
		...

	def GetPrincipalMoments(self) -> Sequence[float]:
		""""""
		...

	def SetPrincipalMoments(self, v: Sequence[float]) -> None:
		""""""
		...

	def GetPrincipalAxes(self):
		""""""
		...

	def SetPrincipalAxes(self, v) -> None:
		""""""
		...

	def GetElongation(self) -> float:
		""""""
		...

	def SetElongation(self, v: float) -> None:
		""""""
		...

	def GetPerimeter(self) -> float:
		""""""
		...

	def SetPerimeter(self, v: float) -> None:
		""""""
		...

	def GetRoundness(self) -> float:
		""""""
		...

	def SetRoundness(self, v: float) -> None:
		""""""
		...

	def GetEquivalentSphericalRadius(self) -> float:
		""""""
		...

	def SetEquivalentSphericalRadius(self, v: float) -> None:
		""""""
		...

	def GetEquivalentSphericalPerimeter(self) -> float:
		""""""
		...

	def SetEquivalentSphericalPerimeter(self, v: float) -> None:
		""""""
		...

	def GetEquivalentEllipsoidDiameter(self) -> Sequence[float]:
		""""""
		...

	def SetEquivalentEllipsoidDiameter(self, v: Sequence[float]) -> None:
		""""""
		...

	def GetFlatness(self) -> float:
		""""""
		...

	def SetFlatness(self, v: float) -> None:
		""""""
		...

	def GetPerimeterOnBorderRatio(self) -> float:
		""""""
		...

	def SetPerimeterOnBorderRatio(self, v: float) -> None:
		""""""
		...

	def GetOrientedBoundingBoxOrigin(self) -> Sequence[float]:
		""""""
		...

	def SetOrientedBoundingBoxOrigin(self, v: Sequence[float]) -> None:
		""""""
		...

	def GetOrientedBoundingBoxSize(self) -> Sequence[float]:
		""""""
		...

	def SetOrientedBoundingBoxSize(self, v: Sequence[float]) -> None:
		""""""
		...

	def GetRegion(self) -> ImageRegion:
		""""""
		...

	def GetOrientedBoundingBoxDirection(self):
		""""""
		...

	def GetOrientedBoundingBoxVertices(self):
		""""""
		...

	def GetPrincipalAxesToPhysicalAxesTransform(self):
		""""""
		...

	def GetPhysicalAxesToPrincipalAxesTransform(self):
		""""""
		...

